<!DOCTYPE html>
<html lang="en" class="use-slim-core">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="../css/slim-core.css">
    <link rel="stylesheet" href="../css/slim-core-components.css">
    <link rel="stylesheet" href="https://pro.fontawesome.com/releases/v5.10.0/css/all.css"
        integrity="sha384-AYmEC3Yw5cVb3ZcuHtOA93w35dYTsvhLPVnYs9eStHfGJvOvKxVfELGroGkvsg+p" crossorigin="anonymous" />
    <title>Forms</title>
</head>

<body class="container pt-5">
    <div>
        <a href="./index.html">Previous</a>
    </div>
    <br>

    <h1>16- Forms</h1>
    <br><br>

    <div class="stack">
        <h3># TextInput</h3>
        <h4>-> Simple</h4>
        <br>
        <div class="field"><input type="text" autocomplete="off" placeholder="Name"></div>
        <br>
        <div class="field">
            <input type="text" id="name2" autocomplete="off">
            <div class="field-label">
                <label for="name2">Name</label>
            </div>
        </div>
        <br><br>

        <h4>-> Sizes</h4>
        <br>
        <div class="field"><input type="text" class="size-sm" autocomplete="off" placeholder="Small"></div>
        <br>
        <div class="field"><input type="text" autocomplete="off" placeholder="Normal"></div>
        <br>
        <div class="field"><input type="text" class="size-lg" autocomplete="off" placeholder="Large"></div>
        <br>
        <div class="field"><input type="text" class="size-xl" autocomplete="off" placeholder="X-Large"></div>
        <br><br>

        <h4>-> Borders</h4>
        <br>
        <div class="field"><input type="text" autocomplete="off" placeholder="Normal"></div>
        <br>
        <div class="field"><input type="text" class="slim" autocomplete="off" placeholder="Slim"></div>
        <br>
        <div class="field"><input type="text" class="round" autocomplete="off" placeholder="round"></div>
        <br><br>

        <h4>-> Helpers</h4>
        <br>
        <div class="field with-helper">
            <input type="text" autocomplete="off" placeholder="Normal">
            <div class="field-helper"><span>Helper text</span></div>
        </div>
        <div class="field with-helper">
            <input type="text" class="slim" autocomplete="off" placeholder="Slim">
            <div class="field-helper"><span>Helper text</span></div>
        </div>
        <div class="field with-helper">
            <input type="text" class="round" autocomplete="off" placeholder="round">
            <div class="field-helper"><span>Helper text</span></div>
        </div>
        <br><br>

        <h4>-> Colors</h4>
        <br>
        <div class="field primary"><input type="text" autocomplete="off" placeholder="Name"></div>
        <br>
        <div class="field success"><input type="text" autocomplete="off" placeholder="Name"></div>
        <br>
        <div class="field info"><input type="text" autocomplete="off" placeholder="Name"></div>
        <br><br>

        <h4>-> Icons</h4>
        <br>
        <div class="field with-icon-left">
            <input type="text" placeholder="Icon left">
            <div class="icon-left"><i class="fas fa-user"></i></div>
        </div>
        <div class="field with-icon-right">
            <input type="text" placeholder="Icon right">
            <div class="icon-right"><i class="fas fa-user"></i></div>
        </div>
        <div class="field with-icon-left with-icon-right">
            <input type="text" placeholder="Icon right">
            <div class="icon-left"><i class="fas fa-user"></i></div>
            <div class="icon-right"><i class="fas fa-user"></i></div>
        </div>
        <br><br>

        <h4>-> Merge</h4>
        <br>
        <div class="field with-helper with-icon-left">
            <input type="text" class="size-xl slim" placeholder="Icon left">
            <div class="field-helper"><span>Helper text</span></div>
            <div class="icon-left"><i class="fas fa-user"></i></div>
        </div>
        <div class="field with-label with-icon-left">
            <input id="name3" type="text">
            <div class="field-label"><label for="name3">Name</label></div>
            <div class="icon-left"><i class="fas fa-user"></i></div>
        </div>
        <div class="field danger with-label with-helper with-icon-left with-icon-right">
            <input id="name4" type="text" class="round">
            <div class="field-label"><label for="name4">Name</label></div>
            <div class="field-helper"><span>Helper text</span></div>
            <div class="icon-left"><i class="fas fa-user"></i></div>
            <div class="icon-right"><i class="fas fa-user"></i></div>
        </div>
        <br>
        <div class="row">
            <div class="col">
                <div class="group">
                    <div class="field-label">
                        <label for="name1">Name</label>
                    </div>
                    <div class="field">
                        <input id="name1" type="text" autocomplete="off">
                    </div>
                </div>
            </div>
            <div class="col">
                <div class="union">
                    <button class="btn">Click me</button>
                    <div class="field">
                        <input type="text">
                    </div>
                </div>
            </div>
            <div class="col">
                <div class="union">
                    <div class="field">
                        <input type="text">
                    </div>
                    <button class="btn">Click me</button>
                </div>
            </div>
        </div>

        <br><br>

        <h4>-> InputFile</h4>
        <br>
        <div class="field">
            <input type="file">
        </div>
        <br>
        <div class="field with-label">
            <input type="file" id="name2" class="slim">
            <div class="field-label">
                <label for="name2">Name</label>
            </div>
        </div>
        <br>
        <div class="field with-label with-helper success">
            <input type="file" id="name2" class="round">
            <div class="field-label"><label for="name2">Name</label></div>
            <div class="field-helper"><span>Helper text</span></div>
        </div>


        <br><br>

        <h3># Textarea</h3>
        <div class="field">
            <textarea id="area0" cols="30" rows="10" placeholder="Normal"></textarea>
            <div class="field-label">
                <label for="area0">Name</label>
            </div>
        </div>
        <br>
        <div class="field">
            <textarea id="area1" cols="30" rows="10" class="slim" placeholder="Slim border"></textarea>
            <div class="field-label">
                <label for="area1">Name</label>
            </div>
        </div>
        <br>
        <div class="field">
            <textarea id="area2" cols="30" rows="10" class="round" placeholder="Round border"></textarea>
            <div class="field-label">
                <label for="area2">Name</label>
            </div>
        </div>

        <br><br>

        <h3># Select</h3>
        <div class="field-select">
            <select id="select1">
                <option value="a" selected>Default</option>
                <option value="a">choice</option>
            </select>
        </div>
        <br>
        <div class="field-select with-label">
            <select id="select1">
                <option value="a" selected>Default</option>
                <option value="a">choice</option>
            </select>
            <div class="field-label">
                <label for="select1">Select simple</label>
            </div>
        </div>
        <br>
        <div class="field-select with-helper">
            <select id="select2" class="slim">
                <option value="a" selected>Slim</option>
                <option value="a">choice</option>
            </select>
            <div class="field-helper"><span>Helper text</span></div>
        </div>
        <br>
        <div class="field-select with-label with-helper with-icon-left with-icon-right success">
            <select id="select3" class="round size-lg">
                <option value="a" selected>Slim</option>
                <option value="a">choice</option>
            </select>
            <div class="field-label">
                <label for="select3">Select simple</label>
            </div>
            <div class="field-helper"><span>Helper text</span></div>
            <div class="icon-left">
                <i class="fas fa-globe t-gray-700"></i>
            </div>
            <div class="icon-right">
                <i class="fas fa-arrow-circle-down"></i>
            </div>
        </div>
        <br>
        <div class="field-select-multiple with-label with-helper">
            <select id="select3" multiple>
                <optgroup label="Animaux à 4-jambes">
                    <option value="Chien">Chien</option>
                    <option value="chat">Chat</option>
                    <option value="hamster" disabled>Hamster</option>
                </optgroup>
                <optgroup label="Animaux volants">
                    <option value="perroquet">Perroquet</option>
                    <option value="macaw">Macaw</option>
                    <option value="albatros">Albatros</option>
                </optgroup>
            </select>
            <div class="field-label">
                <label for="select3">Select simple</label>
            </div>
            <div class="field-helper"><span>Helper text</span></div>
        </div>

        <br><br>

        <h3># Checkbox</h3>
        <div class="row">
            <div class="col">
                <div class="field-checkbox">
                    <input type="checkbox" id="checkbox1" />
                    <div class="field-label">
                        <label for="checkbox1">Simple</label>
                    </div>
                </div>
            </div>
            <div class="col">
                <div class="field-checkbox">
                    <input type="checkbox" id="checkbox5" class="slim" />
                    <div class="field-label">
                        <label for="checkbox5">Simple</label>
                    </div>
                </div>
            </div>
            <div class="col">
                <div class="field-checkbox success">
                    <input type="checkbox" id="checkbox2" class="round" checked />
                    <div class="field-label">
                        <label for="checkbox2">Checked</label>
                    </div>
                </div>
            </div>
            <div class="col">
                <div class="field-checkbox">
                    <input type="checkbox" id="checkbox3" disabled />
                    <div class="field-label">
                        <label for="checkbox3">Disabled</label>
                    </div>
                </div>
            </div>
        </div>

        <br><br>

        <h3># Radio</h3>
        <div class="row">
            <div class="col">
                <div class="field-radio">
                    <input type="radio" id="radio1" name="group" />
                    <div class="field-label">
                        <label for="radio1">Simple</label>
                    </div>
                </div>
            </div>
            <div class="col">
                <div class="field-radio">
                    <input type="radio" id="radio2" checked name="group" class="success" />
                    <div class="field-label">
                        <label for="radio2">Checked</label>
                    </div>
                </div>
            </div>
            <div class="col">
                <div class="field-radio">
                    <input type="radio" id="radio3" disabled name="group" />
                    <div class="field-label">
                        <label for="radio3">Disabled</label>
                    </div>
                </div>
            </div>
        </div>

        <br><br>

        <h3># Switch</h3>
        <div class="row">
            <div class="col">
                <div class="field-switch">
                    <input type="checkbox" id="switch1" />
                    <div class="field-label">
                        <label for="switch1">Normal off</label>
                    </div>
                    <div class="field-label">
                        <label for="switch1">Normal on</label>
                    </div>
                </div>
            </div>
            <div class="col">
                <div class="field-switch">
                    <input type="checkbox" id="switch2" class="slim success" checked />
                    <div class="field-label">
                        <label for="switch2">Slim off</label>
                    </div>
                    <div class="field-label">
                        <label for="switch2">Slim on</label>
                    </div>
                </div>
            </div>
            <div class="col">
                <div class="field-switch">
                    <input type="checkbox" id="switch4" class="round secondary" checked />
                    <div class="field-label">
                        <label for="switch4">Round off</label>
                    </div>
                    <div class="field-label">
                        <label for="switch4">Round on</label>
                    </div>
                </div>
            </div>
            <div class="col">
                <div class="field-switch">
                    <input type="checkbox" id="switch3" disabled />
                    <div class="field-label">
                        <label for="switch3">Disabled</label>
                    </div>
                    <div class="field-label">
                        <label for="switch3">Disabled 2</label>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <br><br>
</body>

</html>